Printago API
GET
/v1/folders/skus
Get SKU folders
Response Schema
Folder[]
Array of Folder, each with:
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
parentIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"part" | "sku" | "classwork"
partskuclasswork
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
[
{
"type": "part",
"name": "string",
"parentId": "string",
"customMetadata": {},
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
]